# $Revision: 1.118 $, $Date: 2007/11/15 10:32:08 $
#
# TODO:
# - check the altivec patch
# - add proper package descriptions/translations
# - bcondize this damn spec! (it should be automated too)
# - go through the configure --help and add all options with proper
#   reqs and bconds
# - flac plugin doesn't work with mono files
#
# Conditional build:
%bcond_without	aa	# build without aalib support
%bcond_without	caca	# build without caca support
%bcond_without	dv	# build without dv support
%bcond_without	lirc	# build without lirc support
%bcond_without	x264	# build without x264 support
%bcond_without	alsa	# don't build alsa plugin
%bcond_without	arts	# don't build arts plugin
%bcond_without	ggi	# don't build ggi plugin
%bcond_without	live	# build without live.com support
%bcond_without	speex	# don't build speex plugin
%bcond_with	mozilla	# build mozilla plugin
%bcond_with	slp	# build with slp, broken
%bcond_with	svgalib	# build with svgalib video_output
%bcond_with	hal	# build with hal support
#
Summary:	VLC - a multimedia player and stream server
Summary(pl.UTF-8):	VLC - odtwarzacz multimedialny oraz serwer strumieni
Name:		vlc
Version:	0.8.6c
Release:	5
License:	GPL
Group:		X11/Applications/Multimedia
# use the bz2 src, its a 4mb difference
Source0:	http://download.videolan.org/pub/videolan/vlc/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	c207f931f768e4dcde4bfaffdbf378cd
Source1:	%{name}.desktop
Patch0:		%{name}-altivec.patch
Patch1:		%{name}-buildflags.patch
Patch2:		%{name}-defaultfont.patch
Patch3:		%{name}-live.patch
Patch4:		%{name}-pic-mmx.patch
Patch5:		%{name}-real_codecs_path.patch
Patch6:		%{name}-osdmenu_path.patch
Patch7:		%{name}-wx.patch
URL:		http://www.videolan.org/vlc/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL_image-devel >= 1.2
BuildRequires:	a52dec-libs-devel
%{?with_aa:BuildRequires:	aalib-devel}
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9}
%{?with_arts:BuildRequires:	artsc-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel
BuildRequires:	faad2-devel >= 2.5
BuildRequires:	ffmpeg-devel >= 0.4.9
BuildRequires:	flac-devel >= 1.1.3
BuildRequires:	fribidi-devel
BuildRequires:	gettext-devel
%{?with_hal:BuildRequires:	hal-devel >= 0.2.97}
%{?with_dv:BuildRequires:	libavc1394-devel}
%{?with_caca:BuildRequires:	libcaca-devel}
BuildRequires:	libcddb-devel
BuildRequires:	libcdio-devel
BuildRequires:	libdts-devel
%{?with_dv:BuildRequires:	libdv-devel}
BuildRequires:	libdvbpsi-devel
BuildRequires:	libdvdcss-devel
BuildRequires:	libdvdnav-devel
BuildRequires:	libdvdread-devel
BuildRequires:	libebml-devel >= 0.7.6
%{?with_ggi:BuildRequires:	libggi-devel}
BuildRequires:	libid3tag-devel
BuildRequires:	libmad-devel
BuildRequires:	libmatroska-devel >= 0.7.5
BuildRequires:	libmodplug-devel
BuildRequires:	libmpcdec-devel >= 1.2.1
BuildRequires:	libogg-devel
BuildRequires:	libpng-devel
%{?with_dv:BuildRequires:	libraw1394-devel}
BuildRequires:	libsmbclient-devel
BuildRequires:	libtheora-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
%{?with_x264:BuildRequires:	libx264-devel}
BuildRequires:	libxml2-devel
%{?with_lirc:BuildRequires:	lirc-devel}
%{?with_live:BuildRequires:	live >= 2005.03.11}
%{?with_mozilla:BuildRequires:	mozilla-devel}
BuildRequires:	mpeg2dec-devel >= 0.3.2
BuildRequires:	ncurses-devel
%{?with_slp:BuildRequires:	openslp-devel}
BuildRequires:	pkgconfig
%{?with_speex:BuildRequires:	speex-devel > 1:1.1.0}
%{?with_svgalib:BuildRequires:	svgalib-devel}
BuildRequires:	vcdimager-devel
BuildRequires:	wxGTK2-unicode-devel >= 2.6.2-2
BuildRequires:	xosd-devel
BuildRequires:	xvid-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VLC (initially VideoLAN Client) is a multimedia player for various
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, MP3, Ogg, ...)
as well as DVDs, VCDs, and various streaming protocols. It can also be
used as a server to stream in unicast or multicast in IPv4 or IPv6 on
a high-bandwidth network.

%description -l pl.UTF-8
VLC (wcześniej znany pod nazwą VideoLAN Client) jest odtwarzaczem
multimedialnym dla wielu formatów wideo i dźwięku (MPEG-1, MPEG-2,
MPEG-4, DivX, MP3, Ogg, ...), płyt DVD, VCD oraz różnych protokołów
strumieniowych. Może być wykorzystany jako serwer do wysyłania
strumieni unicast lub multicast w protokołach IPv4 lub IPv6 w
wysokoprzepustowych sieciach.

%package devel
Summary:	VLC header files
Summary(pl.UTF-8):	Pliki nagłówkowe VLC
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
VLC header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe VLC.

%package static
Summary:	VLC static libraries
Summary(pl.UTF-8):	Biblioteki statyczne VLC
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
VLC static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne VLC.

%package X11
Summary:	VLC - X11 output plugin
Summary(pl.UTF-8):	Klient VLC - wtyczka wyjścia X11
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Obsoletes:	vlc-gnome
Obsoletes:	vlc-gtk

%description X11
X11 output plugin for VLC. Contains GUI image/icon resources.

%description X11 -l pl.UTF-8
Wtyczka wyjścia X11 dla klienta VLC. Zawiera zasoby interfejsu GUI
(obrazy/ikony).

%package GGI
Summary:	VLC - GGI output plugin
Summary(pl.UTF-8):	Klient VLC - wtyczka wyjścia GGI
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description GGI
GGI output plugin for VLC.

%description GGI -l pl.UTF-8
Wtyczka wyjścia GGI dla klienta VLC.

%package fb
Summary:	VLC - fb output plugin
Summary(pl.UTF-8):	Klient VLC - wtyczka wyjścia fb
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description fb
fb output plugin for VLC.

%description fb -l pl.UTF-8
Wtyczka wyjścia fb dla klienta VLC.

%package SDL
Summary:	VLC - SDL output plugin
Summary(pl.UTF-8):	Klient VLC - wtyczka wyjścia SDL
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description SDL
SDL output plugin for VLC.

%description SDL -l pl.UTF-8
Wtyczka wyjścia SDL dla klienta VLC.

%package esd
Summary:	VLC - EsounD audio output plugin
Summary(pl.UTF-8):	Klient VLC - wtyczka wyjścia dźwięku EsounD
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description esd
EsounD audio output plugin for VLC.

%description esd -l pl.UTF-8
Wtyczka wyjścia dźwięku EsounD dla klienta VLC.

%package alsa
Summary:	VLC - ALSA audio output plugin
Summary(pl.UTF-8):	Klient VLC - wtyczka wyjścia dźwięku ALSA
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description alsa
ALSA audio output plugin for VLC.

%description alsa -l pl.UTF-8
Wtyczka wyjścia dźwięku ALSA dla klienta VLC.

%prep
%setup -q
## %patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
cp -f /usr/share/automake/config.* .
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%configure \
%ifarch ppc
	--disable-altivec \
%endif
	--%{?with_aa:en}%{!?with_aa:dis}able-aa \
	%{?with_alsa:--enable-alsa} \
	%{?with_arts:--enable-arts} \
	%{!?with_arts:--disable-arts} \
	--%{?with_caca:en}%{!?with_caca:dis}able-caca \
	--enable-dsp \
	--enable-dummy \
	--%{?with_dv:en}%{!?with_dv:dis}able-dv \
	--enable-dvb \
	--enable-dvbpsi \
	--with-dvdcss \
	--enable-dvdnav \
	--enable-dvdread \
	--enable-esd \
	--enable-faad \
	--enable-fb \
	--enable-freetype \
	--enable-fribidi \
	--enable-ffmpeg \
	--enable-flac \
	--%{?with_ggi:en}%{!?with_ggi:dis}able-ggi \
	%{!?with_speex:--disable-speex} \
	--disable-glide \
	--%{?with_lirc:en}%{!?with_lirc:dis}able-lirc \
	--enable-mad \
	--enable-mga \
	%{?with_mozilla:--enable-mozilla } \
	%{?with_live:--enable-live555 } \
	%{!?with_live:--disable-live555 } \
	--with-live555-tree=%{_libdir}/liveMedia \
	--enable-ncurses \
	--enable-pvr \
	--enable-real \
	--enable-realrtsp \
	--enable-sdl \
	--with-sdl=/usr \
	--enable-skins2 \
	%{?with_slp:--enable-slp} \
	%{!?with_slp:--disable-slp} \
	--enable-smb \
	%{?with_svgalib:--enable-svgalib} \
	--enable-tarkin \
	--enable-theora \
	--enable-tremor \
	--enable-v4l\
	--enable-x11 \
	%{!?with_x264:--disable-x264} \
	--enable-xosd \
	--enable-xvid \
	--enable-oss \
	--disable-testsuite \
	--disable-macosx \
	--with-wx-config=wx-gtk2-unicode-config \
	%{!?with_hal:--disable-hal} \
	--disable-optimizations # we use own RPM_OPT_FLAGS optimalizations

# echo "CFLAGS += -I/usr/include/ncurses" >> Makefile.opts
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install doc/vlc.1 $RPM_BUILD_ROOT%{_mandir}/man1

%if "%{_lib}" != "lib"
install -d $RPM_BUILD_ROOT%{_prefix}/lib
ln -sf %{_libdir}/vlc $RPM_BUILD_ROOT%{_prefix}/lib
%endif

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/co

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README THANKS
%doc doc/bugreport-howto.txt doc/intf-cdda.txt
%doc doc/intf-vcd.txt doc/translations.txt
%attr(755,root,root) %{_bindir}/vlc
%if "%{_lib}" != "lib"
%{_prefix}/lib/vlc
%endif
%dir %{_libdir}/vlc
%dir %{_libdir}/vlc/gui
%dir %{_libdir}/vlc/visualization
%attr(755,root,root) %{_libdir}/vlc/gui/libncurses_plugin.so
%attr(755,root,root) %{_libdir}/vlc/visualization/libvisual_plugin.so
%attr(755,root,root) %{_libdir}/vlc/mux
%attr(755,root,root) %{_libdir}/vlc/misc
%attr(755,root,root) %{_libdir}/vlc/control
%attr(755,root,root) %{_libdir}/vlc/access_output
%attr(755,root,root) %{_libdir}/vlc/codec
%attr(755,root,root) %{_libdir}/vlc/demux
%attr(755,root,root) %{_libdir}/vlc/access
%exclude %{_libdir}/vlc/access/libscreen_plugin.so
%attr(755,root,root) %{_libdir}/vlc/video_chroma
%attr(755,root,root) %{_libdir}/vlc/audio_mixer
%attr(755,root,root) %{_libdir}/vlc/video_filter
%dir %{_libdir}/vlc/video_output
%attr(755,root,root) %{_libdir}/vlc/stream_out
%attr(755,root,root) %{_libdir}/vlc/audio_filter
%attr(755,root,root) %{_libdir}/vlc/packetizer
%attr(755,root,root) %{_libdir}/vlc/access_filter
%attr(755,root,root) %{_libdir}/vlc/services_discovery
%dir %{_libdir}/vlc/audio_output
%exclude %{_libdir}/%{name}/audio_output/libaout_sdl_plugin.so
%{?with_alsa:%exclude %{_libdir}/%{name}/audio_output/libalsa_plugin.so}
%exclude %{_libdir}/%{name}/audio_output/libesd_plugin.so
%attr(755,root,root) %{_libdir}/vlc/audio_output/*.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/http
%{_datadir}/%{name}/osdmenu
%{_mandir}/man1/vlc.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vlc-config
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libvlc.a
%{_libdir}/%{name}/*.a

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/svlc
%attr(755,root,root) %{_bindir}/wxvlc
%attr(755,root,root) %{_libdir}/vlc/gui/libskins2_plugin.so
%attr(755,root,root) %{_libdir}/vlc/gui/libwxwidgets_plugin.so
%attr(755,root,root) %{_libdir}/vlc/access/libscreen_plugin.so
%attr(755,root,root) %{_libdir}/vlc/video_output
%{?with_ggi:%exclude %{_libdir}/%{name}/video_output/libggi_plugin.so}
%exclude %{_libdir}/%{name}/video_output/libvout_sdl_plugin.so
%exclude %{_libdir}/%{name}/video_output/libfb_plugin.so
%attr(755,root,root) %{_libdir}/vlc/visualization/libxosd_plugin.so
%{_datadir}/%{name}/skins2
%{_datadir}/%{name}/vlc*.xpm
%{_datadir}/%{name}/pda*.xpm
%{_datadir}/%{name}/vlc*.png
%{_datadir}/%{name}/vlc*.ico
%{_desktopdir}/*.desktop

%if %{with ggi}
%files GGI
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/video_output/libggi_plugin.so
%endif

%files SDL
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/video_output/libvout_sdl_plugin.so
%attr(755,root,root) %{_libdir}/%{name}/audio_output/libaout_sdl_plugin.so

%files fb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/video_output/libfb_plugin.so

%files esd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/audio_output/libesd_plugin.so

%if %{with alsa}
%files alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/audio_output/libalsa_plugin.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vlc.spec,v $
Revision 1.118  2007/11/15 10:32:08  vip
- rel 5, rebuild with libx264

Revision 1.117  2007-11-11 17:35:30  wolvverine
- up rel.4

Revision 1.116  2007/09/07 00:49:16  baggins
- rel 3

Revision 1.115  2007/09/07 00:31:41  baggins
- disable macosx support (I've no idea why builders try to build it)

Revision 1.114  2007/09/06 15:53:04  baggins
- rel 2

Revision 1.113  2007/07/12 21:13:49  arekm
- up to 0.8.6c

Revision 1.112  2007/07/08 20:11:52  qboosh
- don't try rm -d

Revision 1.111  2007/07/05 09:03:40  blekot
- removed co locale
- rel 2

Revision 1.110  2007/04/19 09:57:31  rotom
- up to 0.8.6b

Revision 1.109  2007/02/24 12:34:38  arekm
- rel 1

Revision 1.108  2007/02/20 14:33:33  blues
- 0.8.6a - security update, not tested yet

Revision 1.107  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.106  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.105  2007/01/03 12:01:12  arekm
- rel 5

Revision 1.104  2007/01/03 09:48:27  sls
- added patch flac; BR: flac-devel >= 1.1.3

Revision 1.103  2007/01/01 11:50:35  arekm
- rel 4

Revision 1.102  2006/12/17 23:47:05  arekm
- rel 3; fix build with wxwidgets 2.8

Revision 1.101  2006/12/13 11:00:56  charles
- BR: libmpcdec-devel

Revision 1.100  2006/12/13 08:54:06  glen
- gcc-hack fixed properly

Revision 1.99  2006/12/13 08:19:13  glen
- up faad2 BR, rel 2

Revision 1.98  2006/12/13 00:06:35  charles
- s/-livedotcom/-live555/

Revision 1.97  2006/12/12 23:48:48  glen
- builds, -matroska-shared.patch dropped as links without it too; rel 1

Revision 1.96  2006/12/12 23:33:02  glen
- start 0.8.6; adapter

Revision 1.95  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.94  2006/09/08 06:28:56  arekm
- rel 2

Revision 1.93  2006/06/18 11:34:01  hawk
- one month with release 0.1, builds, seems to work, lets go with release 1

Revision 1.92  2006/06/18 08:43:04  hawk
- make it build

Revision 1.91  2006/05/19 09:30:11  qboosh
- some bcond descs

Revision 1.90  2006/05/09 02:17:48  charles
- added -osdmenu_path.patch

Revision 1.89  2006/05/08 16:42:55  charles
- BR: libx264-devel (with bcond)

Revision 1.88  2006/05/08 16:31:48  charles
- BR wxGTK2-unicode-devel proper version

Revision 1.87  2006/05/08 16:22:09  charles
- BR: libavc1394-devel and libraw1394-devel (if with dv)
- BR: libtool

Revision 1.86  2006/05/08 16:06:45  charles
- updated to 0.8.5 final - (partial) merged from DEVEL
- enabled real* codecs, added -real_codecs_path.patch
- updated BRs, updated %files

Revision 1.85  2006/01/22 06:33:47  charles
- updated to 0.8.4a (bugfix release)
- STBR

Revision 1.84  2005/12/02 08:43:15  charles
- speex-devel epoch

Revision 1.83  2005/11/30 11:33:19  charles
- BR s/wxGTK2-devel/wxGTK2-unicode-devel/

Revision 1.82  2005/11/28 01:42:40  aredridel
- builds

Revision 1.81  2005/11/27 23:17:47  aredridel
- up to 0.8.4

Revision 1.80  2005/10/31 11:06:32  arekm
- rel 4

Revision 1.79  2005/09/16 10:19:36  arekm
- rel 3; fixed build with newer samba; proper amd64 fix

Revision 1.78  2005/09/16 09:28:14  arekm
- rel 2

Revision 1.77  2005/09/04 17:59:43  arekm
- rel 1; alsa seems building fine

Revision 1.76  2005/07/22 09:56:32  djrzulf
- updated TODO

Revision 1.75  2005/07/19 19:08:26  glen
- fixed last commit

Revision 1.74  2005/07/19 18:43:49  glen
- missing dir

Revision 1.73  2005/06/30 12:10:38  speedy
- bcond speex (default build with speex)

Revision 1.72  2005/06/26 19:26:32  qboosh
- more portable lib64 condition

Revision 1.71  2005/06/26 18:43:17  speedy
- types patch is no more.
- x8664 patch: "it's gcc bug, upgrade your gcc"

Revision 1.70  2005/06/26 15:59:16  speedy
- fix %files

Revision 1.69  2005/06/26 15:32:24  speedy
- start update to 0.8.2

Revision 1.68  2005/05/04 20:11:37  speedy
- bcond: arts, svgalib, hal

Revision 1.67  2005/05/02 18:28:08  qboosh
- added types patch, release 3

Revision 1.66  2005/04/30 11:24:27  qboosh
- updated live bcond desc

Revision 1.65  2005/04/30 09:46:34  speedy
- release 2, STBR 8-]
- reverse live.com bcond.

Revision 1.64  2005/04/10 13:06:45  charles
- fixed %exclude in %files

Revision 1.63  2005/04/09 14:38:12  speedy
- bcond: slp (broken, not updated to new api)

Revision 1.62  2005/04/09 14:11:37  darekr
- simplified %files

Revision 1.61  2005/04/09 14:00:53  speedy
- shorten the files section

Revision 1.60  2005/04/09 12:02:59  speedy
- really fix live.com
- fix speex
- release 1.2

Revision 1.59  2005/04/09 10:57:01  speedy
- bcond "build with live.com"
- fix speex discovery

Revision 1.58  2005/04/09 09:22:27  speedy
- proper BR, wx >= 2.5.5 (wx-config script)

Revision 1.57  2005/04/09 09:02:43  speedy
- rollback, for snap, use DEVEL branch.

Revision 1.56  2005/04/07 21:50:51  tommat
- patch 3 comes back, NFY

Revision 1.55  2005/04/07 21:10:40  tommat
- updated BRs, NFY

Revision 1.54  2005/04/07 20:46:44  tommat
- version 0.8.1337 rel 0.1, NFY

Revision 1.53  2005/03/30 02:42:55  charles
- gettextize, typo

Revision 1.52  2005/03/29 18:40:58  charles
- BR: OpenGL-devel, libxml2-devel, libpng-devel, pkgconfig
- BR artsc-devel instead of arts-devel
- evident call --enable-skins2, cleanups

Revision 1.51  2005/03/28 21:38:40  qboosh
- sorted BRs, pl where missing

Revision 1.50  2005/03/28 19:01:58  speedy
- BR cleaning, STBR?

Revision 1.49  2005/03/28 18:03:48  speedy
- KDE/QT/GNOME plugins are broken - use wxWidgets

Revision 1.48  2005/03/28 12:39:23  speedy
- skin2/wxWigets interface moved to vlc-X11 package

Revision 1.47  2005/03/28 11:47:39  speedy
- more TODO
- cleanups
- make wxWidgets works

Revision 1.46  2005/03/28 10:36:38  speedy
- more BR, cleanups.

Revision 1.45  2005/03/28 08:58:44  aredridel
- complete package
- GTK subpackage
- bconds for kde and gtk

Revision 1.44  2005/03/05 16:31:26  qboosh
- updated Source URL

Revision 1.43  2005/02/06 15:46:05  aredridel
- up to 0.8.1
- nfy

Revision 1.42  2005/01/23 11:13:29  speedy
- s/x11/X11/g

Revision 1.41  2004/11/20 21:24:57  qboosh
- lang cleanup (find_lang is used)

Revision 1.40  2004/11/18 23:44:57  speedy
- double % in %changelog
- bcond --without ggi
- more and more BRs
- vlc-{gnome/gtk} requires vlc-x11 package
- removed double %lang - already in %find_lang (?)

Revision 1.39  2004/10/31 14:59:29  paladine
- spaces->tabs

Revision 1.38  2004/10/28 11:36:31  paladine
- "Ogg" and "Vorbis" unification

Revision 1.37  2004/10/28 10:49:17  paladine
- "MP3" unification

Revision 1.36  2004/10/21 19:59:32  undefine
- more BR

Revision 1.35  2004/10/18 22:57:08  kolodko
- BR: mpeg2dec-devel, libpostproc-devel, libdvdread-devel, ffmpeg-devel

Revision 1.34  2004/10/14 20:09:31  mguevara
- upgrade to 0.7.2 - added TODO list
- works: mkv/avi/ogm/dvd playing, stream sending and receiving
- some issues with external softsubs (but dvd and mkv work)
- VideoLAN Client -> VLC name and description changes (I have
  also removed outdated pt_BR translations)
- added BuildRequires: {libcdio,libcddb,vcdimager}-devel
- added devel, static and fb (fraebuffer video out) packages
- commented out altivec and po patches - on TODO list
- added vlc-buildflags.patch
- commented out gettextize/aclocal/autoconf - on TODO list
- plenty of files section changes - btw all png/xpm/bmp/ico
  images moved to X11 package

Revision 1.33  2004/08/12 21:56:46  ankry
- s/gnome/GNOME/

Revision 1.32  2004/04/09 15:32:45  qboosh
- added po patch, fixed build on amd64
- enabled alsa plugin - it builds now
- rename locale no->nb, release 5 for Ac

Revision 1.31  2003/11/11 14:56:31  qboosh
- cleanups in descriptions

Revision 1.30  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.29  2003/08/27 00:16:35  gotar
- fixed changelog trailer

Revision 1.28  2003/05/28 13:02:35  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:27:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.25  2002/09/11 12:20:37  marcus
- rel.4.
- fixes for dvd and ppc

Revision 1.24  2002/09/11 08:49:44  qboosh
- removed ifarchs for mmx etc. - no such options in this version
  (compilation options detected by ./configure, code chosen in runtime)

Revision 1.23  2002/09/07 01:56:51  blues
- release 3: added flags for ncurses plugin, added all of the plugins to
  package, some cleanups in files - STBR

Revision 1.22  2002/09/07 01:02:36  blues
- removed redundant BR, disabled mmx for i586 - many of them aren't with
  MMX

Revision 1.21  2002/09/06 18:36:54  blues
- release 2 - gvlc icon moved to main package (removed conflict), new doc
  STBR

Revision 1.20  2002/05/21 23:14:54  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/04/08 14:12:50  pioklo
- up to 0.3.0,STBR

Revision 1.18  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:29:56  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/26 13:14:54  filon
- updated for athlon
- release 2

Revision 1.15  2002/01/18 02:15:17  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/12/18 23:37:14  kloczek
- fis building on i386: added missing %endif in %build.

Revision 1.13  2001/12/18 15:52:45  kloczek
- commented BuildRequires for alsa-libs (in %build is --disable-alsa),
- fix %ifarch .. %else .. %endif in %build.

Revision 1.12  2001/12/18 15:48:31  kloczek
- merge translations from Conectiva.

Revision 1.11  2001/12/17 17:43:35  jajcus
- Version: 0.2.91
- autoconf 2.50 support

Revision 1.10  2001/07/06 11:25:42  jajcus
- Version: 0.2.80
- gtk subpackage added
- alsa (disabled as it doesn't seem to compile) subpackage added

Revision 1.9  2001/04/23 01:14:01  kloczek
- release 2: rebuild against SDL 1.2.

Revision 1.8  2001/02/21 16:35:55  jajcus
- missing modules added (including dvd). STBR

Revision 1.7  2001/02/21 10:17:47  misiek
- 0.2.62. GGI is back

Revision 1.6  2001/02/18 22:56:18  kloczek
- cosmetics.

Revision 1.5  2001/02/18 12:45:37  misiek
- 0.2.61. ggi disabled. mmx optimalizations. stb

Revision 1.4  2000/11/02 19:58:53  kloczek
- release 2,
- use new rpm automation,
- rebuild against gnome-libs linked with db3.

Revision 1.3  2000/09/06 08:55:02  kloczek
- added SDL-devel to BuildRequires.

Revision 1.2  2000/09/06 08:53:48  kloczek
- added DESTDIR patch and DESTDIR style %install,
- 755 on shared objects,
- added stripping shared objects.

Revision 1.1  2000/09/04 14:48:11  jajcus
- initial spec
